*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Poppins,sans-serif;
scroll-behavior:smooth;
}

body{
background:#070b1d;
color:white;
overflow-x:hidden;
}

.background{
position:fixed;
width:100%;
height:100%;
background:linear-gradient(45deg,#1b1f5f,#08122d,grey,navy);
background-size:400% 400%;
animation:gradient 12s infinite alternate;
z-index:-2;
}

@keyframes gradient{

0%{background-position:left;}
100%{background-position:right;}

}

header{

position:fixed;
width:100%;
padding:20px 8%;
display:flex;
justify-content:space-between;
align-items:center;
background:rgba(255,255,255,.05);
backdrop-filter:blur(15px);
z-index:999;

}

.logo{

font-size:28px;
font-weight:bold;
color:darkblue;

}

nav a{

text-decoration:none;
color:white;
margin-left:25px;
transition:.4s;

}

nav a:hover{

color: blue;

}

.hero{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    min-height: 100vh;
    padding: 40px;
}

.hero-image img{
    width: 280px;      
    height: 280px;
    object-fit: cover;
    border-radius: 50%;
    border: 7px solid black;
    box-shadow: 0 0 25px rgba(255,255,255,.3);
}

.glass{
    max-width: 600px;
}

.glass h1{

font-size:50px;

}

.glass span{

color:#1b1f5f;

}

.glass h2{

margin:20px 0;
color:cornflowerblue;
height:40px;

}

.btn{

display:inline-block;
margin-top:25px;
padding:12px 30px;
background:#1b1f5f;
color:black;
border-radius:40px;
text-decoration:solid;
font-weight:bold;
transition:.8s;

}

.btn:hover{

transform:scale(1.08);

}

.section{

padding:120px 10%;
font-size: 20px;

}

.section h2{

text-align:center;
margin-bottom:50px;
font-size:50px;

}

.card{

padding:35px;
border-radius:20px;
background:rgba(255,255,255,.08);
backdrop-filter:blur(15px);

}

.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:30px;
}


.box{
    background:rgba(255,255,255,.08);
    padding:30px;
    text-align:justify;
    border-radius:20px;
    transition:.4s;
    text-decoration:none;
    color:white;
    cursor:pointer;
}

.box:hover{
    transform:translateY(-10px) scale(1.05);
    background:rgba(126,249,255,.2);
    box-shadow:0 0 25px darkblue;
}

.box h3{
    font-size:25px;
    margin-bottom:15px;
}

.box p{
    font-size:15px;
}

.timeline {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.event {
    background: black;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.15);
    text-align: center;
    width: 450px;
    margin: 20px 0;
    overflow: hidden;
}

.event h3 {
    color: gold;
    font-size: 24px;
    margin-bottom: 12px;
}

.event p {
    color: white;
    font-size: 16px;
    line-height: 1.6;
    margin-bottom: 20px;
}

.event img {
    width: 380px;
    height: 370px;
    object-fit: cover;
    border-radius: 10px;
    margin: 8px;
    display: inline-block;
}

form{

max-width:600px;
margin:auto;
display:flex;
flex-direction:column;
gap:20px;

}

input,
textarea{

padding:15px;
border:none;
border-radius:10px;
background:rgba(255,255,255,.1);
color:white;

}

button{

padding:15px;
border:none;
background: darkblue;
font-weight:bold;
cursor:pointer;
border-radius:30px;
transition:.4s;

}

button:hover{

transform:scale(1.05);

}


.reveal{

opacity:0;
transform:translateY(100px);
transition:1s;


}

.reveal.active{

opacity:1;
transform:translateY(0);

}

@media(max-width:768px){

nav{
display:none;
}

.glass{
width:100%;
}

.glass h1{
font-size:35px;
}

}
